Subject: Re: Software for garden design & growing

From: [email-masked] (SavageWOC)
Date: 18 Mar 1995 16:21:40 -0500

michael contact Melissa Donohue at 208 263 3078, she is editor of
Macintosh Construction Forum, they have a complete list of Mac
Construction applications, including garden and landscaping apps

Craig Savage 
Publisher

PS anyone interested in a free copy of the newsletter or one for PC users
called Windows on Construction please leave me your USPS address and I
will have a copy sent to you